---
#defaults file for the thrift-server role
spark_cluster_name: "{{ odh_spec['data-catalog']['spark-cluster']['spark_cluster_name'] | default('spark-cluster-data-catalog') }}"
spark_cluster_port: "{{ odh_spec['data-catalog']['thrift-server']['spark_cluster_port'] | default('7077') }}"
spark_docker_image: "{{ odh_spec['data-catalog']['spark-cluster']['spark_image'] | default('quay.io/opendatahub/spark-cluster-image:spark24') }}"
spark_max_cores: "{{ odh_spec['data-catalog']['thrift-server']['spark_max_cores'] | default('6') }}"

aws_access_key_id: "{{ odh_spec['data-catalog']['aws_access_key_id'] | default('') }}"
aws_secret_access_key: "{{ odh_spec['data-catalog']['aws_secret_access_key'] | default('') }}"
s3_endpoint: "{{ odh_spec['data-catalog']['s3_endpoint'] | default('') }}"
s3_region: "{{ odh_spec['data-catalog']['s3_region'] | default('us-east-1') }}"

use_existing_spark_cluster: "{{ odh_spec['data-catalog']['use_existing_spark_cluster'] | default(false) }}"

master_node_count: "{{ odh_spec['data-catalog']['spark-cluster']['master_node_count'] | default(0) }}"
master_memory: "{{ odh_spec['data-catalog']['spark-cluster']['master_memory'] | default('1Gi') }}"
master_cpu: "{{ odh_spec['data-catalog']['spark-cluster']['master_cpu'] | default(1) }}"

worker_node_count: "{{ odh_spec['data-catalog']['spark-cluster']['worker_node_count'] | default(0) }}"
worker_memory: "{{ odh_spec['data-catalog']['spark-cluster']['worker_memory'] | default('1Gi') }}"
worker_cpu: "{{ odh_spec['data-catalog']['spark-cluster']['worker_cpu'] | default(1) }}"

db_image: "{{ odh_spec['data-catalog']['hive-metastore']['database']['image'] | default('registry.redhat.io/rhscl/postgresql-96-rhel7') }}"
db_user: "{{ odh_spec['data-catalog']['hive-metastore']['database']['username'] | default('changeme') }}"
db_password: "{{ odh_spec['data-catalog']['hive-metastore']['database']['password'] | default('changeme') }}"
db_memory_limit: "{{ odh_spec['data-catalog']['hive-metastore']['database']['memory_limit'] | default('500Mi') }}"
db_volume_capacity: "{{ odh_spec['data-catalog']['hive-metastore']['database']['volume_capacity'] | default('1Gi') }}"
db_driver: "{{ odh_spec['data-catalog']['hive-metastore']['database']['driver'] | default('org.postgresql.Driver') }}"